<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script type="text/javascript">
function cek_nik() {
    var nik = $("#tambah_nik_anggota").val();
    $.ajax({
        type: "POST",
        url: '<?= base_url('marketing/data/cek_anggota') ?>',
        data: 'nik=' + nik,
        success: function(data) {
            var json = data,
                obj = JSON.parse(json);
            if (obj > 1) {
                $('#tambah_nomor_kk').val();
                $('#tambah_nm_anggota').val();
                $('#tambah_jk').val();
                $('#tambah_alamat_id').val();
                $('#tambah_alamat_lengkap').val();
                $('#tambah_kode_pos').val();
                $('#tambah_nm_rt').val();
                $('#tambah_nm_rw').val();
                $('#tambah_tempat_lahir').val();
                $('#tambah_tgl_lahir').val();
                $('#tambah_no_hp').val();
                $('#tambah_pekerjaan').val();
                $('#tambah_suami_istri').val();
            } else {
                $('#tambah_nomor_kk').val(obj.nomor_kk);
                $('#tambah_nm_anggota').val(obj.nm_anggota);
                $('#tambah_jk').val(obj.jk);
                $('#tambah_tambah_alamat_id').val(obj.id_alamat);
                $('#tambah_alamat_lengkap').val(obj.alamat_lengkap);
                $('#tambah_kode_pos').val(obj.kd_pos);
                $('#tambah_nm_rt').val(obj.nm_rt);
                $('#tambah_nm_rw').val(obj.nm_rw);
                $('#tambah_tempat_lahir').val(obj.tempat_lahir);
                $('#tambah_tgl_lahir').val(obj.tgl_lahir);
                $('#tambah_no_hp').val(obj.no_hp);
                $('#tambah_pekerjaan').val(obj.pekerjaan);
                $('#tambah_suami_istri').val(obj.suami_istri);
            }
        }
    })
}
</script>
<script>
function showDiv(select) {
    if (select.value == 0) {
        $("#select_suami_istri").hide();
    }
    if (select.value == 1) {
        $("#select_suami_istri").show();
    }
    if (select.value == 2) {
        $("#select_suami_istri").hide();
    }
}
</script>
<script type="text/javascript">
$('#tambah_province_id').change(function() {
    var province_id = $(this).val();
    $.ajax({
        type: 'POST',
        url: '<?= base_url('marketing/kot_kab') ?>',
        data: 'province_id=' + province_id,
        success: function(response) {
            $('#tambah_kot_kab').html(response);
        }
    });
});

$('#tambah_kot_kab').change(function() {
    var kab_kot = $(this).val();
    $.ajax({
        type: 'POST',
        url: '<?= base_url('marketing/kecamatan') ?>',
        data: 'kab_kot=' + kab_kot,
        success: function(response) {
            $('#tambah_nm_kec').html(response);
        }
    });
});

$('#tambah_nm_kec').change(function() {
    var kecamatan = $(this).val();
    $.ajax({
        type: 'POST',
        url: '<?= base_url('marketing/nm_desabaru') ?>',
        data: 'kecamatan=' + kecamatan,
        success: function(response) {
            $('#tambah_nm_desa').html(response);
        }
    });
});
</script>